const axios = require("axios");
const fs = require("fs");
const url = require("url");

const start = async function () {
  for (j = 0; j <= 1000; j = j + 10) {
    const kycUrl = url.parse(
      url.format({
        protocol: "https",
        hostname: "kyc.blockpass.org",
        pathname: "/kyc/1.0/connect/<CLIENTID>/applicants",
        query: {
          skip: j,
          limit: 10,
        },
      })
    );

    let content = "";
    const separator = ", ";

    const body = await axios.get(kycUrl.href, {
      headers: {
        Authorization: "<APIKEY>",
      },
    });

    try {
      let resp = body;
      //console.log(resp.data.data.records);
      let records = resp.data.data.records;

      for (i in records) {
        content += records[i].status;
        content += separator;

        content += records[i].blockPassID;
        content += separator;

        content += records[i].identities.email.value;
        content += separator;

        content += records[i].identities.family_name.value;
        content += separator;

        content += records[i].identities.given_name.value;
        content += separator;

        content += records[i].identities.dob.value;
        content += separator;

        content += records[i].identities.crypto_address_eth.value;
        content += separator;

        content += "\n";
      }
    } catch (e) {
      console.log("Error parsing JSON!");
    }

    fs.appendFile("applicants.csv", content, (err) => {
      if (err) {
        console.error(err);
        return;
      }
    });
    //})
  }
};

start();
